Get list of routing runs by date
get
/api/field-service/routing/v1/routingRuns/{resourceExternalId}/{date}
This operation retrieves a list of routing runs and key statistics for the specified resource and date.
Request
Path Parameters
-
date(required): string
Minimum Length:
10Maximum Length:10The date of the scheduling run in YYYY-MM-DD format. -
resourceExternalId(required): string
Minimum Length:
1Maximum Length:32The external identifier of the resource (bucket).
Query Parameters
-
limit: integer
The maximum number of items returned in the response. If no value is specified, then it defaults to 10.
-
offset: integer
The number of items that are skipped in the response. If a value is not specified, then it defaults to zero. The value zero indicates that the retrieval starts from the beginning of the collection.
Response
Supported Media Types
- application/schema+json
- application/json
200 Response
This section describes the 200 status response for this operation.
Root Schema : routingRuns
Type:
objectThe collection of routing runs for the specified resource and date.
Show Source
-
hasMore:
boolean
Contains one of the following values: true or false. The default value is true.
True indicates there are more results that can be retrieved with successive paging requests. False or the value is not present, indicates, there are no more results or this is the final page.
-
items:
array items
An array of routing runs.
-
limit:
integer
The limit value specified in the request. If the value is not specified in the request or if the specified value is not accepted, then it defaults to 10.
-
offset:
integer
The offset value specified in the request.
-
totalResults:
integer
The total number of the resource type records in the collection.
Nested Schema : items
Type:
arrayAn array of routing runs.
Show Source
-
Array of:
object Routing Run
Title:
Routing Run
Nested Schema : Routing Run
Type:
objectTitle:
Show Source
Routing Run-
activitiesToBeAssigned:
integer
Number of activities to be assigned.
-
assignedActivities:
integer
Number of activities assigned.
-
planLabel:
string
Label of the scheduling plan.
-
planName:
string
Name of the scheduling plan.
-
resourceExternalId:
string
Minimum Length:
1Maximum Length:32External identifier of the resource. -
resourcesChangedRoutes:
integer
Number of resources with changed routes.
-
resultStatus:
string
Allowed Values:
[ "undefined", "rolledback", "scheduled", "running", "completed", "waiting", "stopped", "skipped", "failed" ]Current status of the run. -
runId(required):
integer
Unique identifier of the routing run.
-
runStartType:
string
Allowed Values:
[ "automatic", "manual" ]How the run was started. -
schedulingPlanId:
integer
Identifier of the scheduling plan.
-
schedulingPlanType:
string
Allowed Values:
[ "manual", "onceaday", "recurrent", "immediate", "continuous" ]Run type derived from plan profile and creator. -
started:
string(date-time)
Run start timestamp in ISO-8601 format.
-
totalResources:
integer
Total number of resources considered in the run.
Default Response
This section describes the default error response for this operation.
Root Schema : Error
Type:
Show Source
object-
detail(required):
string
The detailed description of this error.
-
status(required):
string
The HTTP status code of this error.
-
title(required):
string
The brief description of this error.
-
type(required):
string
The URL of the web page containing more details about this error.